> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/query/mutations/subscriptions/update-subscription.md).

# Update Subscription

Use the `updateSubscription` mutation to update a user's subscription level.&#x20;

This mutation is only available using your app's secret token, sending the header `Authorization: Token <secret-token>`. The mutation won't work and will throw an error if you try to use it logged in as a user.

You have to send `profileId` or `userId`. At least one is required.

### Required Argument

| **Argument Name** | **Type** | **Description**                                                    |
| ----------------- | -------- | ------------------------------------------------------------------ |
| `subscriptionId`  | ID!      | Unique Subscription ID. Use the subscriptions query to get the ID. |

### Available Fields

| **Argument Name** | **Type** | **Description**        |
| ----------------- | -------- | ---------------------- |
| `profileId`       | String   | Unique user profile ID |
| `userId`          | String   | Unique user ID         |

### Example

{% tabs %}
{% tab title="Mutation" %}

```graphql
mutation {
  updateSubscription(
    userId: "e2e3cd2a-3721-438d-a439-e3527077278e",
    subscriptionId: "U3Vic2NyaXB0aW9uOmViNjNlYzlmLWNlYzQtNGM1Mi05ZDAyLWFkYzI5YzA4NzUxYQ=="
  ) {
    message
    success
  }
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "updateSubscription": {
      "message": "Ok",
      "success": true
    }
  }
}
```

{% endtab %}
{% endtabs %}

Please note that you DO NOT have to send the `SG-User` header for this query, and that the`subscriptionId`field is:`Subscription:subscription_id` converted to base 64. For example:

```bash
> echo "Subscription:eb63ec9f-cec4-4c52-9d02-adc29c08751a" | base64
U3Vic2NyaXB0aW9uOmViNjNlYzlmLWNlYzQtNGM1Mi05ZDAyLWFkYzI5YzA4NzUxYQo=
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/query/mutations/subscriptions/update-subscription.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
